.breadcrumb-container {
  height: 70px;
  width: 900px;
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  margin-top: -70px;
  overflow: hidden;
  &.hidden {
    .breadcrumb-list {
      margin-left: -500px;
    }
    .breadcrumb-back-button-container {
      margin-right: -200px;
    }
  }
  .breadcrumb-back-button-container {
    height: 50px;
    transition: 1s;
  }
  .breadcrumb-list {
    display: flex;
    height: 50px;
    transition: 1s;
    button {
      animation: breadcrumb-list-item-appear 1s;
    }
  }
  button {
    border: none;
    color: white;
    font-size: 20px;
    padding: 0 30px 0 50px;
    height: 100%;
    transition: 0.25s;
    box-shadow: 10px 10px 20px #0005;
    position: relative;
    background: #343434;
    &:after {
      border-color: transparent transparent transparent #343434;
    }
    &.breadcrumb-back-button {
      padding: 0 40px;
      background: #343434;
    }
    &:hover {
      padding-left: 60px;
      margin-right: -10px;
      box-shadow: 20px 0px 30px #0005;
      &.breadcrumb-back-button {
        padding: 0 50px 0 40px;
        margin-right: 0;
      }
    }
    &:active {
      padding: 0 30px 0 50px;
      margin-right: 0;
      transition: 0s;
      &.breadcrumb-back-button {
        padding: 0 40px;
      }
    }
    &.breadcrumb-back-button:after {
      left: 0;
      border-color: transparent #343434 transparent transparent;
      transform: scaleX(0.5) translateX(-150%);
    }
    &:after {
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 100%;
      transition: 0.25s;
      border-style: solid;
      border-width: 25px;
      transform: scaleX(0.5) translateX(-50%);
    }
  }
}

@keyframes breadcrumb-list-item-appear {
  0% {
    margin-left: -150px;
  }
  50% {
    margin-left: -150px;
  }
  100% {
    margin-left: 0;
  }
}

@media (max-width: 1000px) {
  body .app {
    .breadcrumb-container {
      display: none;
    }
  }
}
